commit:     cd22a8fe7a3873293bf7128664834685d876a1c1
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  8 09:22:45 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jul  8 09:35:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd22a8fe

dev-python/jedi: add 0.19.1_p20240706 snapshot

Add a snapshot for Python 3.13 support. I was going to backport the changes
but other fixes are needed to fix pypy3 tests.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/jedi/Manifest                     |  1 +
 dev-python/jedi/jedi-0.19.1_p20240706.ebuild | 86 ++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/dev-python/jedi/Manifest b/dev-python/jedi/Manifest
index 9ac00c7dec03..292e876933b4 100644
--- a/dev-python/jedi/Manifest
+++ b/dev-python/jedi/Manifest
@@ -1,3 +1,4 @@
 DIST django-stubs-fd057010f6cbf176f57d1099e82be46d39b99cb9.tar.gz 183312 
BLAKE2B 
a68f6139903f5001db994ee0d881f40ab74932e81c3e2c3a0c22dc56e6be681d0fb42ce837603b21e4d0d448ccb25884ef0f69039305f309e82603267cee9f6a
 SHA512 
506322c132f94e6a1e88cdbde6027a566387731fa6ad59934f95c3511f49d90eff2a3138363811be648b096407d418cd1f801df0bc35b1e464ef181e4076ada1
 DIST jedi-0.19.1.gh.tar.gz 472341 BLAKE2B 
34238969acb5b6e6db0307d1d18c1c6f3cf666c00e590c5f2338584526135b75e56a3b4e0cef63dc52fd96db4078cb4b82e0652a9ca092c99f4da8448bf65d1f
 SHA512 
aaa2684b787ec99d2477755d7b6ef4ec727fd244bb55178cf3a9e78b50f660c6fab7b88d09e3d02e76f17e656cd1cdb6078282b63516e5e52a1852a821540105
+DIST jedi-82d1902f382ddac5b0e6647646b72f28a3181ec3.gh.tar.gz 475311 BLAKE2B 
bb525951a57fd979f4b5dfc49c536b79e3713deb479062abaf668cadc005da98b3d921c48fd5e2d2e8a6ab62dbcae76fcf9cb9e7e26f94cb7d95c363e89c5b5b
 SHA512 
bcfd6b676370363cd9568cf25775bc8a5b0362b04247e2cf5cba828f2578f4b16bb1550fd3bcf227bc6b80601b3de3074d32ea59a1c97673787dad098cc8afbe
 DIST typeshed-ae9d4f4b21bb5e1239816c301da7b1ea904b44c3.tar.gz 602044 BLAKE2B 
53298918a7e9a1163e76d4c70ad2a2117ee90b49329aa82d82b2aaaeaf000c971872f83ed283af6dc4be068b813876760c8b1b4acb4131865572a4aed3ea9230
 SHA512 
b3b9da66b6c6e03e0b262b3262df31215a5e080468ca9ebf4332ed53d715cd3956db7067fad3ec267042ff704f81ac665c703ef2fd0c5b445d440bd8e52bf1aa

diff --git a/dev-python/jedi/jedi-0.19.1_p20240706.ebuild 
b/dev-python/jedi/jedi-0.19.1_p20240706.ebuild
new file mode 100644
index 000000000000..f32adda36a15
--- /dev/null
+++ b/dev-python/jedi/jedi-0.19.1_p20240706.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1
+
+TYPESHED_P="typeshed-ae9d4f4b21bb5e1239816c301da7b1ea904b44c3"
+DJANGO_STUBS_P="django-stubs-fd057010f6cbf176f57d1099e82be46d39b99cb9"
+EGIT_COMMIT="82d1902f382ddac5b0e6647646b72f28a3181ec3"
+MY_P="${PN}-${EGIT_COMMIT}"
+
+DESCRIPTION="Autocompletion library for Python"
+HOMEPAGE="
+       https://github.com/davidhalter/jedi/
+       https://pypi.org/project/jedi/
+"
+SRC_URI="
+       https://github.com/davidhalter/jedi/archive/${EGIT_COMMIT}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+       
https://github.com/davidhalter/typeshed/archive/${TYPESHED_P#typeshed-}.tar.gz
+               -> ${TYPESHED_P}.tar.gz
+       
https://github.com/davidhalter/django-stubs/archive/${DJANGO_STUBS_P#django-stubs-}.tar.gz
+               -> ${DJANGO_STUBS_P/v/}.tar.gz
+"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="
+       MIT
+       test? ( Apache-2.0 )
+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+       <dev-python/parso-0.9[${PYTHON_USEDEP}]
+       >=dev-python/parso-0.8.3[${PYTHON_USEDEP}]
+"
+
+# RDEPEND needed because of an import jedi inside conf.py
+distutils_enable_sphinx docs \
+       dev-python/parso \
+       dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # upstream includes these as submodules ...
+       rmdir "${S}"/jedi/third_party/{django-stubs,typeshed} || die
+       mv "${WORKDIR}/${DJANGO_STUBS_P/v/}" \
+               "${S}/jedi/third_party/django-stubs" || die
+       mv "${WORKDIR}/${TYPESHED_P}" \
+               "${S}/jedi/third_party/typeshed" || die
+
+       # test_complete_expanduser relies on $HOME not being empty
+       > "${HOME}"/somefile || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # fragile
+               test/test_speed.py
+               # assumes pristine virtualenv
+               test/test_inference/test_imports.py::test_os_issues
+       )
+
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               test/test_api/test_api.py::test_preload_modules
+                               
test/test_api/test_interpreter.py::test_param_infer_default
+                               
test/test_inference/test_compiled.py::test_next_docstr
+                               
test/test_inference/test_compiled.py::test_time_docstring
+                       )
+                       ;;
+       esac
+
+       # some plugin breaks case-insensitivity on completions
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       # django and pytest tests are very version dependent
+       epytest -o addopts= -k "not django and not pytest"
+}

Reply via email to